<template>
  <v-container class="pa-0 d-flex flex-column">
    <v-row class="no-gutters">
      <v-col v-show="$vuetify.breakpoint.mdAndUp">
        <h1 class="text-center">Nos partenaires</h1>
        <v-list>
          <v-list-item
            v-for="(item, i) in items"
            :key="i"
            :input-value="nav === i"
            @click="nav = i"
          >
            <v-list-item-avatar tile class="pa-0">
              <v-img contain :src="item.icon" />
            </v-list-item-avatar>
            <v-list-item-content>
              <v-list-item-title>
                {{ item.name }}
              </v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-list>
      </v-col>
      <v-divider vertical />
      <v-col lg="8" md="7">
        <v-carousel height="100%" v-model="nav">
          <v-carousel-item v-for="(item, i) in items" :key="i" class="px-6">
            <h1>{{ item.name }}</h1>

            <p>{{ item.description }}</p>

            <span v-if="item.website"
              >Site internet :
              <a :href="`https://${item.website}/`" v-text="item.website"
            /></span>

            <v-img height="200px" contain :src="item.icon" />
          </v-carousel-item>
        </v-carousel>
      </v-col>
    </v-row>
  </v-container>
</template>

<style scoped>
.v-list {
  background-color: transparent;
}
</style>

<script>
export default {
  data: () => ({
    nav: 0,
    items: [
      {
        name: 'Collège Saint-Louis',
        icon: '/img/partners/St-Louis.jpg',
        description:
          "Le collège Saint-Louis et le club co-organisent une section sport-étude dédiée à la pratique de l'escrime.",
        website: 'stlouis26.eu',
      },
      {
        name: 'La région Auvergne-Rhône-Alpes',
        icon: '/img/partners/ARA.png',
        description: "Le club accepte le Pass'Région financé par la région.",
        website: 'auvergnerhonealpes.fr',
      },
      {
        name: 'Departement la Drôme',
        icon: '/img/partners/Drome.png',
        description:
          "Le club accepte la carte Top Dép'Art financée par le département.",
        website: 'ladrome.fr',
      },
      {
        name: 'Ville de Crest',
        icon: '/img/partners/Crest.jpg',
        website: 'www.mairie-crest.fr',
      },
      {
        name: 'Ville de Livron',
        icon: '/img/partners/Livron.png',
        website: 'livron-sur-drome.fr',
      },
      {
        name: 'Ville de Valence',
        icon: '/img/partners/Valence.svg',
        website: 'valence.fr',
      },
      {
        name: "Fédération Française d'Escrime",
        icon: '/img/partners/FFE.svg',
        website: 'escrime-ffe.fr',
      },
      {
        name: "Ligue d'escrime Dauphiné-Savoie",
        icon: '/img/partners/Ligue DS.svg',
        website: 'escrime.ds.free.fr',
      },
      {
        name: 'Office des sports valentinois',
        icon: '/img/partners/OSV.png',
        website: 'osv-valence.fr',
      },
      {
        name: '1er Régiment de Spahis',
        icon: '/img/partners/Spahis.png',
      },
      {
        name: 'Décathlon Valence',
        icon: '/img/partners/Decathlon.png',
        website: 'decathlon.fr',
      },
    ],
  }),

  head() {
    return {
      title: 'Partenaires',
    }
  },
}
</script>
